### Method

# GtkSource Snippet set_language_id

#### Declaration [src]

    void
    gtk_source_snippet_set_language_id (
      GtkSourceSnippet* snippet,
      const gchar* language_id
    )

#### Description [src]

Sets the language identifier for the snippet.

This should match the `GtkSourceLanguage:id` identifier.

Sets property | `GtkSource.Snippet:language-id`

#### Parameters

`language_id`

  Type: `const gchar*`

  The language identifier for the snippet.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.